311 reputation
1313
bio website aspden.com
location Cambridge, United Kingdom
age
visits member for 3 years, 10 months
seen Nov 30 at 18:44

Programmer/Contractor/Consultant in Cambridge UK
Lover of LISP, C and Unix. Friend of Python and ML.

CV: http://www.aspden.com

Clojure Blog: http://www.learningclojure.com
Random Thoughts: http://johnlawrenceaspden.blogspot.com


Nov
10
comment Can't validate mine, sudo nor root in Debian “Jessie” Gnome anymore?
@Janar, a trivial point but in English "mine" and "my" are different words, and your question would be a little easier to understand for a native speaker if you replaced "mine" almost throughout with "my". (See ell.stackexchange.com/questions/24722/… for explanation of how they work, also 'you' vs 'yours' etc...)
Nov
10
comment How do I play DVDs in Debian Jessie (i.e. libdvdcss)?
@Hennes done, good spot, and I get to create the tag too.
Nov
10
revised How do I play DVDs in Debian Jessie (i.e. libdvdcss)?
edited tags
Nov
3
answered How do I play DVDs in Debian Jessie (i.e. libdvdcss)?
Nov
2
asked How do I play DVDs in Debian Jessie (i.e. libdvdcss)?
Nov
2
answered Which xscreensaver program was run last?
Oct
20
awarded  Good Question
Oct
15
asked How can I make bash cut and paste to the X selection?
Sep
26
revised How do I fix the Shellshock security vulnerability in debian testing/jessie?
added 622 characters in body
Sep
26
revised How do I fix the Shellshock security vulnerability in debian testing/jessie?
added 622 characters in body
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
Actually, there are two shellshock bugs, and the fix for the second one is now in sid but not jessie, so this is in fact still the right answer, (make sure you get 4.3-9.2!), although doubtless the situation will resolve soon.
Sep
26
accepted How do I fix the Shellshock security vulnerability in debian testing/jessie?
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
Actually there are two shellshock bugs and the fix for the second one hasn't made it to jessie yet.
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
@Bob, but whatever it does, you're right that upgrading to the 4.3-9.2 version in unstable stops it!
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
@Bob, I can't make head or tail of this, what is the bit up to the semicolon doing?
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
I also think this is the answer for Ubuntu, now that they've pushed their fix properly, and probably for any other debian based distribution which is still maintained to the point where people have pushed fixes.
Sep
26
awarded  Commentator
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
This doesn't answer the original question, but it's what people need to do now, so I'm accepting it so that it's the first thing people will see. The 'real' answer to my difficulty (it's in unstable and in stable but not in testing) is wurtel's answer using manual download of the new bash-????.deb and dpkg -i.
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
@Bob, I think that's only relevant to Ubuntu? And presumably Ubuntu have already fixed it.
Sep
26
comment How do I fix the Shellshock security vulnerability in debian testing/jessie?
This was definitely the answer I wanted, but now that the update's made it to Jessie, I think it's better if the accepted answer is the one people looking now need, so I'm moving the tick. Thanks though!